[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# Application

Application instance

## Declaration

Source position: daemonapp.pp line 389

`function Application: TCustomDaemonApplication;`

## Function result

TCustomDaemonApplication instance used by application

## Description

Application is the TCustomDaemonApplication instance used by this application. The instance is created at the first invocation of this function, so it is possible to use RegisterDaemonApplicationClass to register an alternative TCustomDaemonApplication class to run the application.

## See also

TCustomDaemonApplication |  | Custom daemon application class
RegisterDaemonApplicationClass |  | Register alternative TCustomDaemonApplication class.

Documentation generated on: Feb 26 2014